OD(1)

NOM
od - Afficher le contenu d'un fichier en octal ou sous d'autres formats

SYNOPSIS
od [OPTION]... [FICHIER]...
od [-abcdfilosx]... [FICHIER] [[+]DÉPLACEMENT[.][b]]
od --traditional [OPTION]... [FICHIER] [[+]DÉPLACEMENT[.][b] [+][ÉTIQUETTE][.][b]]

DESCRIPTION

Afficher sur la sortie standard et de manière non ambiguë, par défaut sous forme d'octets en représentation octale, le contenu du FICHIER. S'il y a plus d'un paramètre FICHIER indiqué, les concaténer dans l'ordre où ils sont présentés afin de constituer l'entrée. L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Si les formats du premier et du second appel sont utilisés, le deuxième format est utilisé si le dernier opérande débute par « + » ou, dans le cas de 2 opérandes, par un chiffre. Un opérande de déplacement signifie -j SAUT. L'ÉTIQUETTE est la pseudo-adresse du premier octet affiché, elle est incrémentée lors de l'affichage. Pour le DÉPLACEMENT et l'ÉTIQUETTE, un préfixe 0x ou 0X indique un format hexadécimal, les suffixes peuvent être « . » pour l'octal et « b » pour un multiple de 512 octets.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-A, --address-radix=BASE
    définir la BASE dans laquelle les déplacements dans les fichiers sont affichés ; BASE doit être un caractère parmi d (décimal), o (octal), x (hexadécimal), ou n (aucune)

-j, --skip-bytes=N
    escamoter les N premiers octets de chaque fichier

-N, --read-bytes=N
    limiter l'affichage à N octets lus en entrée

-S N, --strings[=OCTETS]
    afficher les chaînes d'au moins OCTETS caractères graphiques ; si OCTETS est omis, la valeur utilisée est 3

-t, --format=TYPE
    choisir le(s) format(s) de sortie

-v, --output-duplicates
    ne pas utiliser * pour indiquer une suppression de ligne

-w[N], --width[=OCTETS]
    afficher OCTETS octets par ligne de sortie ; si OCTETS est omis, la valeur utilisée est 32

--traditional
    accepter les paramètres selon la troisième forme décrite dans le SYNOPSIS

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

  Les spécifications traditionnelles de format peuvent être mélangées ; elles se cumulent :

-a  identique à -t a, afficher les caractères par leur nom, en ignorant le bit de poid fort

-b  identique à -t o1, afficher sous forme d'octets en représentation octale

-c  identique à -t c, afficher sous forme de caractères ASCII ou de barres obliques inverses de déspécification

-d  identique à -t u2, afficher sous forme de groupes de deux octets en représentation décimale non signée

-f  identique à -t fF, afficher sous forme de nombres flottants

-i  identique à -t dI, afficher sous forme d'entiers décimaux

-l  identique à -t dL, afficher sous forme de nombres décimaux longs

-o  identique à -t o2, afficher sous forme de groupes de deux octets en représentation octale

-s  identique à -t d2, afficher sous forme de groupes de deux octets décimaux

-x  identique à -t x2, afficher sous forme de groupes de deux octets hexadécimaux

  Le TYPE est composé d'une ou plusieurs des spécifications suivantes :

a   nom des caractères, en ignorant le bit de poid fort

c   caractère ASCII ou barre oblique inverse de déspécification

d[N]
    décimal signé, N octets par entier

f[N]
    virgule flottante, N octets par entier

o[N]
    octal, N octets par entier

u[N]
    décimal non signé, N octets par entier

x[N]
    hexadécimal, N octets par entier

N est un nombre. Le TYPE est d, o, u ou x, N peut être aussi C pour sizeof(char), S pour sizeof(short), I pour sizeof(int) ou L pour sizeof(long). Si le TYPE est f, N peut aussi être F pour sizeof(float), D pour sizeof(double) ou L pour sizeof(long double).

L'ajout du suffixe « z » à l'un de ces types affiche des caractères imprimables à la fin de chaque ligne de résultat.

  OCTETS est considéré comme un nombre héxadécimal si préfixé par 0x ou 0X, et peut être suivi d'un multiplicateur :

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

et ainsi de suite pour G, T, P, E, Z et Y.

EXEMPLES

od -A x -t x1z -v
    Afficher la sortie au format hexdump

od -A o -t oS -w16
    Le format de sortie par défaut utilisé par od

AUTEUR
Écrit par Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de od à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de od à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour od est disponible dans un manuel Texinfo. Si les programmes info et od sont correctement installés sur votre système, la commande

    info coreutils 'od invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.